// /////////////////////////////////////////////////////////////////////////////
// DR DOBB'S CHALLENGES
//
// Filename       : entityAIWalk.h
// Date           : February 2008
//
// Description    : This file defines the CEntityAIWalk class for walking AI.
//                  This type of AI walks back and forth on terrain until it
//                  either hits terrain, the edge of the screen, or there
//                  is no terrain underneath to walk on.
//
//                  This class assumes that it is instantiated immediately
//                  above terrain, as defined by the allTerrain vector.
//
// ///////////////////////////////////////////////////////////////////////////
#pragma once

// ///////////////////////////////////////////////////////////////////////////
// HEADERS (#include)
// ///////////////////////////////////////////////////////////////////////////
#include "entityAI.h"


// ///////////////////////////////////////////////////////////////////////////
// CLASS DEFINITION
// ///////////////////////////////////////////////////////////////////////////
class CEntityAIWalk : public CEntityAI {
   // ////////////////////////////////////////////////////////////////////////
   // PROTECTED/PRIVATE METHODS
   // ////////////////////////////////////////////////////////////////////////
   protected:
      // /////////////////////////////////////////////////////////////////////
      // METHODS
      void handleCollision();
      void handleMovement();
      void handleSprite();

      
   // ////////////////////////////////////////////////////////////////////////
   // PUBLIC METHODS
   // ////////////////////////////////////////////////////////////////////////
   public:
      // /////////////////////////////////////////////////////////////////////
      // CONSTRUCTORS/DESTRUCTORS
      CEntityAIWalk(int xVal, int yVal, int dir);
      ~CEntityAIWalk();
};

// ///////////////////////////////////////////////////////////////////////////
// END OF CODE
// ///////////////////////////////////////////////////////////////////////////