// /////////////////////////////////////////////////////////////////////////////
// DR DOBB'S CHALLENGES
//
// Filename       : entityTerrain.h
// Date           : February 2008
//
// Description    : This file defines the CEntityTerrain parent class of all
//                  terrain entities.  This entity simply defines the empty
//                  update() function (for the static behaviour of terrain)
//                  and a few common components like the sprite and entity
//                  type.  The constructor also updates the terrain location
//                  arrays/vectors.
//
// ///////////////////////////////////////////////////////////////////////////
#pragma once

// ///////////////////////////////////////////////////////////////////////////
// HEADERS (#include)
// ///////////////////////////////////////////////////////////////////////////
#include "entity.h"

// ///////////////////////////////////////////////////////////////////////////
// CONSTANTS (#define)
// ///////////////////////////////////////////////////////////////////////////
#define TERRAIN_CX      16
#define TERRAIN_CY      16


// ///////////////////////////////////////////////////////////////////////////
// CLASS DEFINITION
// ///////////////////////////////////////////////////////////////////////////
class CEntityTerrain : public CEntity {

   // ////////////////////////////////////////////////////////////////////////
   // PROTECTED/PRIVATE METHODS
   // ////////////////////////////////////////////////////////////////////////
   protected:
      // /////////////////////////////////////////////////////////////////////
      // VARIABLES
      CSprite* pSpriteTile;

      // /////////////////////////////////////////////////////////////////////
      // METHODS
      void update();


   // ////////////////////////////////////////////////////////////////////////
   // PUBLIC METHODS
   // ////////////////////////////////////////////////////////////////////////
   public:
      // /////////////////////////////////////////////////////////////////////
      // CONSTRUCTORS/DESTRUCTORS
      CEntityTerrain(int xVal, int yVal, int type);
      ~CEntityTerrain();
};

// ///////////////////////////////////////////////////////////////////////////
// END OF CODE
// ///////////////////////////////////////////////////////////////////////////