// /////////////////////////////////////////////////////////////////////////////
// DR DOBB'S CHALLENGES
//
// Filename       : intro.cpp
// Date           : February 2008
//
// Description    : This file defines the CIntro class responsible for
//                  handling the introductory splash screen that appears
//                  just before the main menu GUI.  Once instantiated, Update()
//                  must be called within the main game loop while the intro
//                  is active.  Close() is used to determine if any key (or
//                  the LMB) has been pressed.  At which time, the application
//                  can delete CIntro and create a new CMainMenu GUI.
//
// ///////////////////////////////////////////////////////////////////////////
#pragma once

// ///////////////////////////////////////////////////////////////////////////
// HEADERS (#include)
// ///////////////////////////////////////////////////////////////////////////
#include "global.h"
#include "sprite.h"


// ///////////////////////////////////////////////////////////////////////////
// CLASS DEFINITION
// ///////////////////////////////////////////////////////////////////////////
class CIntro {

   // ////////////////////////////////////////////////////////////////////////
   // PROTECTED/PRIVATE METHODS
   // ////////////////////////////////////////////////////////////////////////
   protected:
      // /////////////////////////////////////////////////////////////////////
      // STATIC COMPONENTS

      // /////////////////////////////////////////////////////////////////////
      // VARIABLES
      CSprite* pBackground;    // Intro background
      bool     closeIntro;     // Close intro flag
      bool     clickLeft;      // Used for "active-low" button pressing

      // /////////////////////////////////////////////////////////////////////
      // METHODS


   // ////////////////////////////////////////////////////////////////////////
   // PUBLIC METHODS
   // ////////////////////////////////////////////////////////////////////////
   public:
      // /////////////////////////////////////////////////////////////////////
      // CONSTRUCTORS/DESTRUCTORS
      CIntro();
      ~CIntro();


      // /////////////////////////////////////////////////////////////////////
      // METHODS
      void Update();
      bool Close();
};

// ///////////////////////////////////////////////////////////////////////////
// END OF CODE
// ///////////////////////////////////////////////////////////////////////////
